%define upstream_name    Git-PurePerl
%define upstream_version 0.53

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A Pure Perl interface to Git repositories
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Extract)
BuildRequires: perl(Compress::Raw::Zlib)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Config::GitLike)
BuildRequires: perl(Data::Stream::Bulk)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(IO::Digest)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::StrictConstructor)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::utf8)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
This module is a Pure Perl interface to Git repositories.

It was mostly based on Grit the http://grit.rubyforge.org/ manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# Temporarily disable tests (Connection refused github.com:9418)
#make test
exit 0

%install
%make_install

%files
%doc CHANGES META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.530.0-5.mga10
+ Revision: 2203970
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.530.0-4.mga9
+ Revision: 1809389
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.530.0-3.mga8
+ Revision: 1504568
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.530.0-2.mga7
+ Revision: 1283938
- Mageia 7 Mass Rebuild

* Sun Jul 30 2017 sander85 <sander85> 0.530.0-1.mga7
+ Revision: 1132880
- Temporarily disable tests as connection to github fails on build system
- update to 0.53

* Sun Jun 19 2016 pterjan <pterjan> 0.510.0-2.mga6
+ Revision: 1027937
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 buchan <buchan> 0.510.0-1.mga6
+ Revision: 924702
- imported package perl-Git-PurePerl


* Sun May 10 2015 buchan 0.51-1mga
- initial mageia release, generated with cpan2dist
